package com.sun.net.ssl;

import java.security.PrivateKey;
import java.security.cert.X509Certificate;
import javax.net.ssl.SSLEngine;
import java.net.Socket;
import java.security.Principal;
import javax.net.ssl.X509KeyManager;

final class X509KeyManagerJavaxWrapper implements X509KeyManager
{
    private com.sun.net.ssl.X509KeyManager theX509KeyManager;
    
    X509KeyManagerJavaxWrapper(com.sun.net.ssl.X509KeyManager theX509KeyManager) {
        this.theX509KeyManager = theX509KeyManager;
    }
    
    @Override
    public String[] getClientAliases(String s, Principal[] array) {
        return this.theX509KeyManager.getClientAliases(s, array);
    }
    
    @Override
    public String chooseClientAlias(String[] array, Principal[] array2, Socket socket) {
        if (array == null) {
            return null;
        }
        int i = 0;
        while (i < array.length) {
            String chooseClientAlias;
            if ((chooseClientAlias = this.theX509KeyManager.chooseClientAlias(array[i], array2)) != null) {
                return chooseClientAlias;
            }
            ++i;
        }
        return null;
    }
    
    public String chooseEngineClientAlias(String[] array, Principal[] array2, SSLEngine sslEngine) {
        if (array == null) {
            return null;
        }
        int i = 0;
        while (i < array.length) {
            String chooseClientAlias;
            if ((chooseClientAlias = this.theX509KeyManager.chooseClientAlias(array[i], array2)) != null) {
                return chooseClientAlias;
            }
            ++i;
        }
        return null;
    }
    
    @Override
    public String[] getServerAliases(String s, Principal[] array) {
        return this.theX509KeyManager.getServerAliases(s, array);
    }
    
    @Override
    public String chooseServerAlias(String s, Principal[] array, Socket socket) {
        if (s == null) {
            return null;
        }
        return this.theX509KeyManager.chooseServerAlias(s, array);
    }
    
    public String chooseEngineServerAlias(String s, Principal[] array, SSLEngine sslEngine) {
        if (s == null) {
            return null;
        }
        return this.theX509KeyManager.chooseServerAlias(s, array);
    }
    
    @Override
    public X509Certificate[] getCertificateChain(String s) {
        return this.theX509KeyManager.getCertificateChain(s);
    }
    
    @Override
    public PrivateKey getPrivateKey(String s) {
        return this.theX509KeyManager.getPrivateKey(s);
    }
}
